# Google Events API

Access live event listings from around the globe with the Google Events Scraping API.

To activate this feature, integrate the `engine=google_events` parameter into your request.

Google diligently catalogs events from diverse locales worldwide on its Google Events page. To harness this wealth of event data, simply engage our `google_events` engine and receive a curated list of happenings tailored to your query.

### Google Events API Integration Examples

We will use following URL as an example for this request:

```
https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France
```

### Ready to Use Google Events API Scraping Scripts

{% tabs %}
{% tab title="cURL" %}

```bash
curl --request GET --url "https://serp.shifter.io/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France"
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const http = require("https");

const options = {
  "method": "GET",
  "hostname": "serp.shifter.io",
  "port": null,
  "path": "/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France",
  "headers": {}
};

const req = http.request(options, function (res) {
  const chunks = [];

  res.on("data", function (chunk) {
    chunks.push(chunk);
  });

  res.on("end", function () {
    const body = Buffer.concat(chunks);
    console.log(body.toString());
  });
});

req.end();
```

{% endtab %}

{% tab title="Python" %}

```python
import http.client

conn = http.client.HTTPSConnection("sserp.shifter.io")

conn.request("GET", "/v1?engine=google_events&api_key=YOUR_API_KEY&q=Events%20in%20Paris%2C%20France")

res = conn.getresponse()
data = res.read()

print(data.decode("utf-8"))
```

{% endtab %}

{% tab title="PHP" %}

```php


```

{% endtab %}
{% endtabs %}

### Google Events API Parameters

#### #1: Query Parameter

<table><thead><tr><th width="187">Parameter</th><th width="107" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>q</code><br> <mark style="color:red;background-color:red;">Required</mark> </td><td align="center"><code>string</code></td><td>The event that you are searching for (the query).</td></tr></tbody></table>

#### #2: Request Customisation Parameters

<table><thead><tr><th width="184">Parameter</th><th width="106" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>device</code></td><td align="center"><code>string</code></td><td>The device used for your search. Can be set to <code>desktop</code>, <code>mobile</code> or <code>tablet</code>.</td></tr></tbody></table>

#### #3: Localisation Parameters

<table><thead><tr><th width="184">Parameter</th><th width="106" align="center">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>google_domain</code></td><td align="center"><code>string</code></td><td>The Google domain that you want to use for your search.</td></tr><tr><td><code>location</code></td><td align="center"><code>string</code></td><td>Defines where you want the search to originate from. A list of all the geotargeting locations can be found <a href="https://developers.google.com/adwords/api/docs/appendix/geotargeting">here</a>.</td></tr><tr><td><code>uule</code></td><td align="center"><code>string</code></td><td>The Google encoded location that you want to use for your search.</td></tr><tr><td><code>hl</code></td><td align="center"><code>string</code></td><td>The language you want to use for your Google search. <a href="https://developers.google.com/custom-search/docs/xml_results_appendices#interfaceLanguages">List of supported languages</a></td></tr><tr><td><code>gl</code></td><td align="center"><code>string</code></td><td>The country you want to use for your Google search. <a href="https://developers.google.com/custom-search/docs/xml_results_appendices#countryCodes">List of supported countries</a></td></tr></tbody></table>

<details>

<summary>Response Example</summary>

```javascript
{
  "search_parameters": {
    "google_events_url": "https://www.google.com/search?q=Events%20in%20Paris,%20France&ibp=htl;events&sourceid=chrome&ie=UTF-8",
    "engine": "google_events",
    "google_domain": "google.com",
    "device": "desktop",
    "query": "Events in Paris, France"
  },
  "search_information": {
    "organic_results_state": "Results for exact spelling",
    "total_results": null,
    "time_taken_displayed": null,
    "query_displayed": null
  },
  "google_events_results": [
    {
      "title": "Kiana Ledé - Paris, France",
      "date": {
        "start_date": "5 Aug",
        "when": "May 30, 2021, 7:30 PM – Mar 10, 2022, 11:00 PM GMT+2"
      },
      "address": [
        "Trabendo",
        "Parc de la Villette, 211 Av. Jean Jaurès, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=TP4daXuEwqgu8LADXD5RSSmARWWz9FaGuieRKMAZsU-GlLnUtKD39O64TLP9bf2gHujSa_wy9ChCfsqMLYDHtCyYqH1tijh4uPUQa6jw1qcNd1nW91A",
        "link": "https://google.comnull"
      },
      "description": "Book your concert's ticket for KIANA LEDE - LE TRABENDO (Parc de la Villette) Date : Thursday, 10 March 2022",
      "ticket_info": [
        {
          "link": "https://www.bandsintown.com/e/102224001"
        },
        {
          "link": "https://www.songkick.com/concerts/39701161-kiana-lede-at-le-trabendo?utm_source=53907&utm_medium=partner"
        },
        {
          "link": "https://festivaly.eu/en/kiana-lede-le-trabendo-parc-de-la-villette-pariz-2021"
        },
        {
          "link": "https://www.ticketmaster.fr/en/manifestation/kiana-lede-ticket/idmanif/496862"
        },
        {
          "link": "https://mozaart.com/en/e/kiana-lede-paris-2021-05-30"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcROu-AFln96erewd5cmKk34Wxw70rAqq3Qad7vf7pysrdkRoZpv3wjM&s"
    },
    {
      "title": "LOUIS TOMLINSON",
      "date": {
        "start_date": "1 Sep",
        "when": "Wed, Sep 1, 8:00 – 11:55 PM GMT+2"
      },
      "address": [
        "L'Olympia Bruno Coquatrix",
        "28 Bd des Capucines, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=5bdk9Mdl7edStlromcynDpPhvcTokG5US4gXGkH2OdsqUJm9PRM9vOikeSj2hu2M2wtx6lcDL8LGju5OV3cjDrqoWv17G39Gai5cD-KW1m4I5Bw8QV8",
        "link": "https://google.comnull"
      },
      "description": "Book your concert's ticket for LOUIS TOMLINSON - L'OLYMPIA Price is from: 45.50 € Date : Tuesday, 5 April 2022 to Wednesday, 6 April 2022 You can print at home your e-ticket for LOUIS TOMLINSON at...",
      "ticket_info": [
        {
          "link": "https://m.ticketmaster.fr/en/manifestation/louis-tomlinson-ticket/idmanif/479804"
        },
        {
          "link": "https://m.billetterie.aegpresents.fr/en/manifestation/louis-tomlinson-ticket/idmanif/479804"
        },
        {
          "link": "https://prf.hn/click/camref:1011l9QnS/destination:https://www.stubhub.com/billets-louis-tomlinson-louis-tomlinson-paris-l-olympia-1-9-2021/event/104424626/"
        },
        {
          "link": "https://www.awin1.com/pclick.php?p=25190445019&a=139743&m=12494"
        },
        {
          "link": "http://www.stubhub.com/billets-louis-tomlinson-louis-tomlinson-paris-l-olympia-5-4-2022/event/104424626"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQHRE9dMLni43OnpDyR8_zqaJ-1fHH-onjJxuZIz02W4VZ-MbZTKV1p&s"
    },
    {
      "title": "Siglo XX",
      "date": {
        "start_date": "27 Nov",
        "when": "Sat, Nov 27, 7:30 – 11:00 PM GMT+1"
      },
      "address": [
        "La Boule Noire",
        "120 Blvd de Rochechouart, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=A47boyNln_boO3iLyVFB9v-RTq2aTEl4fsfO2c-5PZwUVmqvg9mfhBeIvcaKz9xztv0OmHc_wqx0GHy4vJzNa19g9AOl3kDKvfSXia4t-uxZ1-dkg6g",
        "link": "https://google.comnull"
      },
      "description": "Jimmy Buffett is back in town! Assure your tickets for a concert you will not forget and experience Jimmy Buffett Paris at the one and only La Cigale. At StubHub we offer you the best tickets...",
      "ticket_info": [
        {
          "link": "https://www.bandsintown.com/e/1021753614"
        },
        {
          "link": "https://www.songkick.com/concerts/39225249-siglo-xx-at-la-boule-noire?utm_source=53907&utm_medium=partner"
        },
        {
          "link": "https://www.stubhub.com/jimmy-buffett-tickets-jimmy-buffett-paris-la-cigale-26-9-2020/event/104528315/"
        },
        {
          "link": "https://www.macmcanally.com/tour?dc_id=881"
        },
        {
          "link": "https://paris.eventful.com/events/jimmy-buffett-paris-/E0-001-132969227-2"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcT7v6cx4sfPZXsJTXW6i0X1SbLPq2WkgUzVb2cnz79WoCL73E0aPuxuCBw&s"
    },
    {
      "title": "MAHMOOD",
      "date": {
        "start_date": "17 Dec",
        "when": "Fri, Dec 17, 7:30 – 10:30 PM GMT+1"
      },
      "address": [
        "Bataclan",
        "50 Bd Voltaire, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=bdKSOAKm-NqleuRPQdj_mxuMX8tpH1dJPEbZSHSoyjM5T69RocYmGF6FzcUysuYQ76zeqmOJxgN1myyx6QD9QUlDgUGzwX-TbwdUZ-OpYH4mBoIgE0M",
        "link": "https://google.comnull"
      },
      "description": "MAHMOOD, an Italian-Egyptian singer-songwriter revealed at Eurovision 2019, has developed a unique style of Urban Pop. MAHMOOD reached the top of sales with its first album “Gioventù Bruciata”...",
      "ticket_info": [
        {
          "link": "https://www.ticketone.it/en/event/mahmood-tour-2021-bataclan-13424232/"
        },
        {
          "link": "https://m.ticketmaster.fr/en/manifestation/mahmood-2020-ticket/idmanif/482763"
        },
        {
          "link": "http://www.songkick.com/concerts/39743914-mahmood-at-le-bataclan?utm_medium=organic&utm_source=microformat"
        },
        {
          "link": "https://www.bandsintown.com/e/1021311118"
        },
        {
          "link": "https://www.awin1.com/pclick.php?p=28333694647&a=139743&m=9567"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQInLyxCNAdMWVhHvkk4fGdFQzn6BXOksZJ_ZydR3pks_sKW3kQCAYddQo&s"
    },
    {
      "title": "Jamie Cullum",
      "date": {
        "start_date": "22 Sep",
        "when": "Wed, Sep 22, 8:00 PM – Thu, Sep 23, 11:55 PM GMT+2"
      },
      "address": [
        "Salle Pleyel",
        "252 Rue du Faubourg Saint-Honoré, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=s1SslWBpCiZDfFYzZOSEE-NTcMA2URc5xIjVHFEvKorOCDLGUjXpVhA6bdoNyzuIENnCD1ZAANylDycq5tUwKjYbhtypSJtZUvJ-1OT0sYTeRvaw_9c",
        "link": "https://google.comnull"
      },
      "description": "Band Members: vocals, guitar, mad jumps & percussion, drums, Jamie Cullum - Piano",
      "ticket_info": [
        {
          "link": "https://www.bandsintown.com/e/1017016033"
        },
        {
          "link": "https://www.songkick.com/concerts/39729835-jamie-cullum-at-salle-pleyel?utm_source=53907&utm_medium=partner"
        },
        {
          "link": "http://ticketmaster.evyy.net/c/266168/271177/4272?u=https%3A%2F%2Fwww.ticketmaster.fr%2Ffr%2Fmanifestation%2Fjamie-cullum-billet%2Fidmanif%2F475727%2Fidtier%2F18864121"
        },
        {
          "link": "https://www.awin1.com/pclick.php?p=24888119559&a=139743&m=12494"
        },
        {
          "link": "https://festivaly.eu/en/jamie-cullum-salle-pleyel-pariz-2020"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQeawe-Q695kC_mZ4gOfXfWiZkEiw8WysFajfoaRo8QnlOwv0TEaPNeqAY&s"
    },
    {
      "title": "Catherine Ringer",
      "date": {
        "start_date": "21 Nov",
        "when": "Sun, Nov 21, 8 – 10 PM GMT+1"
      },
      "address": [
        "L'Olympia Bruno Coquatrix",
        "28 Bd des Capucines, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=5bdk9Mdl7edStlromcynDpPhvcTokG5US4gXGkH2OdsqUJm9PRM9vOikeSj2hu2M2wtx6lcDL8LGju5OV3cjDrqoWv17G39Gai5cD-KW1m4I5Bw8QV8",
        "link": "https://google.comnull"
      },
      "description": "Catherine Ringer and Catherine Ringer CHANTE Les Rita Mitsouko at L'OLYMPIA at 2020-04-29T20:00:00+0200",
      "ticket_info": [
        {
          "link": "https://www.songkick.com/concerts/39219363-catherine-ringer-at-lolympia?utm_medium=organic&utm_source=microformat"
        },
        {
          "link": "http://ticketmaster.evyy.net/c/266168/271177/4272?u=https%3A%2F%2Fwww.ticketmaster.fr%2Ffr%2Fmanifestation%2Fcatherine-ringer-billet%2Fidmanif%2F479310%2Fidtier%2F18864121"
        },
        {
          "link": "https://www.awin1.com/pclick.php?p=25187914109&a=139743&m=12494"
        },
        {
          "link": "https://www.stubhub.com/catherine-ringer-tickets/performer/100837450/"
        },
        {
          "link": "https://paris.eventful.com/events/catherine-ringer-chante-les-rita-mitsouko-paris-/E0-001-131825213-9"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSZGigygZU7ziV52JlxxHQiQJT1HetLENb1uXf6m7s&s"
    },
    {
      "title": "David Walters Avec Ballake Sissoko,",
      "date": {
        "start_date": "26 Oct",
        "when": "Tue, Oct 26, 8 – 11 PM GMT+2"
      },
      "address": [
        "La Cigale",
        "120 Blvd de Rochechouart, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=ZuVtQoDGPblKlqomD9EABAUFgcd6LkOO_RhSxTA-eIWAhCQzUmCxmk4yL4MKhavG8HiE_e-Dbi5Y4tYPABXgEMakZe0wR5IJ9aBDho3F2LMVv_AVhb0",
        "link": "https://google.comnull"
      },
      "description": "Yasiin Bey at La Cigale on Wednesday Apr 8, 2020 at 7:00PM",
      "ticket_info": [
        {
          "link": "https://www.songkick.com/concerts/39687114-david-walters-at-la-cigale?utm_source=53907&utm_medium=partner"
        },
        {
          "link": "http://www.lacigale.fr/en/spectacle/yasiin-bey-2/"
        },
        {
          "link": "https://www.bandsintown.com/en/e/1019350846-yasiin-bey-at-la-cigale"
        },
        {
          "link": "https://m.facebook.com/events/2926703807656416"
        },
        {
          "link": "https://gigs.guide/event/420lFbhNZN/Yasiin-Bey-Paris-2020-04-08"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQh_Pz0w6kVvw_RstaSFnekLZRVwkSBkmUZwAAZueG74dDfovDl9-nRiDk&s"
    },
    {
      "title": "PARKWAY DRIVE",
      "date": {
        "start_date": "27 Nov",
        "when": "Sat, Nov 27, 8 – 11 PM GMT+1"
      },
      "address": [
        "Paris Philharmonic",
        "221 Av. Jean Jaurès, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=lZFtVO6EbsLvk6IWlMpNfGzP0QPNCinYvyFYA3ee985EIf_BZqDWnkrCTOj1RZ7fp8dp8qqztpW3FWaF0f0dxCTVlTGHXCWjdDYk8LSHElkqALhl_a4",
        "link": "https://google.comnull"
      },
      "description": "Les australiens de Parkway Drive sont de retour avec Reverence : un sixième album furieux à découvrir au Zénith de Paris le 15 Avril 2020 ! EVENEMENT REPORTE au 27 Novembre. Vos billets restent...",
      "ticket_info": [
        {
          "link": "https://www.songkick.com/concerts/39138590-parkway-drive-at-zenith-paris-la-villette"
        },
        {
          "link": "https://paris.eventful.com/events/parkway-drive-paris-/E0-001-130642766-0"
        },
        {
          "link": "https://www.bandsintown.com/e/101585618"
        },
        {
          "link": "https://www.ticketmade.de/en/event/parkway-drive-1/paris"
        },
        {
          "link": "https://m.rockifi.com/buy-concert-tickets/116793/parkway-drive/paris"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcR6L0Cs-DIc25rqsL1ial44ODrku1WpjeSh8jtx3g8&s"
    },
    {
      "title": "CATHERINE RINGER CHANTE",
      "date": {
        "start_date": "20 Nov",
        "when": "Sat, Nov 20, 8 PM – Sun, Nov 21, 8 PM GMT+1"
      },
      "address": [
        "L'Olympia Bruno Coquatrix",
        "28 Bd des Capucines, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=5bdk9Mdl7edStlromcynDpPhvcTokG5US4gXGkH2OdsqUJm9PRM9vOikeSj2hu2M2wtx6lcDL8LGju5OV3cjDrqoWv17G39Gai5cD-KW1m4I5Bw8QV8",
        "link": "https://google.comnull"
      },
      "description": "Catherine Ringer and Catherine Ringer CHANTE Les Rita Mitsouko at L'OLYMPIA at 2020-04-28T20:00:00+0200",
      "ticket_info": [
        {
          "link": "https://www.songkick.com/concerts/39670467-catherine-ringer-at-lolympia?utm_medium=organic&utm_source=microformat"
        },
        {
          "link": "https://www.bandsintown.com/e/1021906990"
        },
        {
          "link": "http://ticketmaster.evyy.net/c/266168/271177/4272?u=https%3A%2F%2Fwww.ticketmaster.fr%2Ffr%2Fmanifestation%2Fcatherine-ringer-billet%2Fidmanif%2F479310%2Fidtier%2F18864121"
        },
        {
          "link": "https://www.awin1.com/pclick.php?p=25187914109&a=139743&m=12494"
        },
        {
          "link": "https://m.ticketmaster.fr/en/manifestation/catherine-ringer-chante-ticket/idmanif/479310"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcSZGigygZU7ziV52JlxxHQiQJT1HetLENb1uXf6m7s&s"
    },
    {
      "title": "Ghostemane",
      "date": {
        "start_date": "8 Dec",
        "when": "Wed, Dec 8, 7:30 – 10:30 PM GMT+1"
      },
      "address": [
        "Bataclan",
        "50 Bd Voltaire, Paris, France"
      ],
      "link": "https://google.comnull",
      "event_location_map": {
        "image": "https://google.com/maps/vt/data=bdKSOAKm-NqleuRPQdj_mxuMX8tpH1dJPEbZSHSoyjM5T69RocYmGF6FzcUysuYQ76zeqmOJxgN1myyx6QD9QUlDgUGzwX-TbwdUZ-OpYH4mBoIgE0M",
        "link": "https://google.comnull"
      },
      "description": "Ghostemane le 08 décembre 2021 au Bataclan // report du concert initialement prévu à La Cigale L’évolution de la situation sanitaire et les mesures prises dans les différents pays que doit...",
      "ticket_info": [
        {
          "link": "https://en.concerts-metal.com/lkt.php?c=57904"
        },
        {
          "link": "https://www.ticketmaster.fr/en/manifestation/ghostemane-ticket/idmanif/475957"
        },
        {
          "link": "https://www.facebook.com/events/bataclan/report-ghostemane-08-d%C3%A9cembre-2021-le-bataclan/819699158814849/"
        },
        {
          "link": "https://www.bandsintown.com/en/e/1017080382-ghostemane-at-la-cigale"
        },
        {
          "link": "https://www.stereoboard.com/ghostemane-tickets/paris"
        }
      ],
      "thumbnail": "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcTr0NSnwGdARyfFVPVqjQ6cHDoztPKJ-7LjtvSST9M&s"
    }
  ]
}
```

</details>
